SPELI4(3)

SYNOPSIS
SUBROUTINE SPELI4 (IORDER, A, B, M, MBDCND, BDA, ALPHA, BDB, BETA, + C, D, N, NBDCND, BDC, BDD, COFX, AN, BN, CN, DN, UN, ZN, AM, + BM, CM, DM, UM, ZM, GRHS, USOL, IDMN, W, PERTRB, IERROR)

NAME
speli4 - Subsidiary to SEPX4

LIBRARY
SLATEC

TYPE
SINGLE PRECISION (SPELI4-S)

AUTHOR
(UNKNOWN)

DESCRIPTION
SPELI4 sets up vectors and arrays for input to BLKTRI and computes a second order solution in USOL. A return jump to SEPX4 occurs if IORDER=2. If IORDER=4 a fourth order solution is generated in USOL.

SEE ALSO
SEPX4

ROUTINES CALLED
CHKSN4, DEFE4, GENBUN, MINSO4, ORTHO4, TRIS4

COMMON BLOCKS
SPL4

REVISION HISTORY (YYMMDD)
801001 DATE WRITTEN
890531 Changed all specific intrinsics to generic. (WRB)
891009 Removed unreferenced variable. (WRB)
891214 Prologue converted to Version 4.0 format. (BAB)
900402 Added TYPE section. (WRB)